An agent's key directory
GET
/v1/agents/{client_id}/directory
const url = 'https://api.trybage.com/v1/agents/example/directory';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.trybage.com/v1/agents/example/directoryThe agent’s Signature-Agent (type jwks_uri): its registered key, plus the session keys its live tokens are bound to
(with exp). Each kid is the key’s JWK thumbprint, which is the keyid in the agent’s signatures.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”client_id
required
string
Responses
Section titled “Responses”The keys.
Media typeapplication/http-message-signatures-directory+json
object
keys
required
Array<object>
object
kty
required
string
crv
required
string
x
required
string
y
string
kid
required
The key’s JWK thumbprint.
string
use
required
string
alg
string
exp
For session keys
integer
Example
{ "keys": [ { "kty": "OKP", "crv": "Ed25519", "use": "sig", "alg": "EdDSA" } ]}Unknown or disabled agent.